PanelConsole (gCube Join New Portlet 2.1.0-SNAPSHOT API)
Date: 2015-02-13

org.gcube.portlets.user.joinnew.client.panels

## Class PanelConsole

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.user.joinnew.client.panels.PanelConsole

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class PanelConsole
      extends com.google.gwt.user.client.ui.Composite

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.google.gwt.user.client.ui.ToggleButton` | `toggleButton0`
    `com.google.gwt.user.client.ui.ToggleButton` | `toggleButton100`
    `com.google.gwt.user.client.ui.ToggleButton` | `toggleButton50`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelConsole()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PanelConsole` | `get()`
    `Date` | `getExpiryDate()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### toggleButton0

          public com.google.gwt.user.client.ui.ToggleButton toggleButton0

    - #### toggleButton50

          public com.google.gwt.user.client.ui.ToggleButton toggleButton50

    - #### toggleButton100

          public com.google.gwt.user.client.ui.ToggleButton toggleButton100

  - ### Constructor Detail

    - #### PanelConsole

          public PanelConsole()

  - ### Method Detail

    - #### get

          public static PanelConsole get()

    - #### getExpiryDate

          public Date getExpiryDate()

      Returns:

Copyright © 2015. All Rights Reserved.